#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>
#include <Eigen/Sparse>


namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    /// Solve the linear equation system and display the vectors
    void solveEquation();
    

private:
    Ui::MainWindow *ui;
    QTableWidget* vectorTable;
    void createDefaultEquation( int size );
};

#endif // MAINWINDOW_H
